<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroChargesAmount extends Entity {
	protected $value;
	protected $currency;
	protected $sumary;

	public static function builder(): PagSeguroChargesAmountBuilder {

		return new PagSeguroChargesAmountBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValue() {

		return $this->value;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCurrency() {

		return $this->currency;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSumary() {

		return $this->sumary;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value) {

		$this->value = $value;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency) {

		$this->currency = $currency;

	}

	/**
	 *
	 * @param mixed $sumary
	 */
	public function setSumary($sumary) {

		$this->sumary = $sumary;

	}

}

